Create Omni Flow Agent
curl --request POST \
--url https://api.trillet.ai/v1/api/omni-flow-agents \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"name": "<string>",
"llmModel": "<string>",
"settings": {}
}
'import requests
url = "https://api.trillet.ai/v1/api/omni-flow-agents"
payload = {
"name": "<string>",
"llmModel": "<string>",
"settings": {}
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', llmModel: '<string>', settings: {}})
};
fetch('https://api.trillet.ai/v1/api/omni-flow-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspaceId": "01a0sda156scx5f8",
"userId": "01a0sda156scx5f8",
"name": "ExampleOmniFlowAgent",
"llmModel": "gpt-4o-mini",
"phoneNumberId": null,
"status": "ready",
"createdAt": "2025-01-19T03:18:22.604Z",
"updatedAt": "2025-01-19T03:18:22.604Z"
}
Omni Flow Agents (Message)
Create Omni Flow Agent
Create a new agent for a workspace.
POST
/
v1
/
api
/
omni-flow-agents
Create Omni Flow Agent
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Request Body
string
required
Name of the agent being created.
string
default:"gpt-4o-mini"
required
Language Model to be used by the agent to generate responses. (e.g. gpt-4o-mini, gpt-4o, gpt-4o-enterprise)
object
Settings related to the agent.
Response Fields
string
Workspace ID associated with the agent.
string
User ID of the agent creator.
string
Name of the agent.
string
Language model used by the agent (e.g.,
gpt-4o-mini).string
Phone number ID, if assigned to the agent.
string
Current status of the agent (e.g.,
ready).string
Timestamp when the agent was created.
string
Timestamp when the agent was last updated.
{
"workspaceId": "01a0sda156scx5f8",
"userId": "01a0sda156scx5f8",
"name": "ExampleOmniFlowAgent",
"llmModel": "gpt-4o-mini",
"phoneNumberId": null,
"status": "ready",
"createdAt": "2025-01-19T03:18:22.604Z",
"updatedAt": "2025-01-19T03:18:22.604Z"
}
⌘I
